### Method

# Cogl Texture get_premultiplied

#### Declaration [src]

    gboolean
    cogl_texture_get_premultiplied (
      CoglTexture* texture
    )

#### Description [src]

Queries the pre-multiplied alpha status for internally stored red, green and blue components for the given `texture` as set by cogl_texture_set_premultiplied().

By default the pre-multiplied state is `TRUE`.

#### Return value

Type: `gboolean`

`TRUE` if red, green and blue components are internally stored pre-multiplied by the alpha value or `FALSE` if not.